#Name: ImmersiveEngineering.zs

#coal coke fix
recipes.addShapeless(<Railcraft:fuel.coke>, [<ImmersiveEngineering:material:6>]);


#Toolzz
recipes.remove(<ImmersiveEngineering:tool:1>);
recipes.addShaped(<ImmersiveEngineering:tool:1>, [[null, <ore:plateSteel>, null], [<ore:plateSteel>, <ore:plateSteel>, <minecraft:stick>], [null, <minecraft:stick>, null]]);

recipes.remove(<ImmersiveEngineering:tool:2>);
recipes.addShaped(<ImmersiveEngineering:tool:2>, [[<ore:ingotRedstoneAlloy>, <ore:plateIron>, <ore:ingotRedstoneAlloy>], [<ore:ingotRedstoneAlloy>, <ImmersiveEngineering:material:11>, <ore:ingotRedstoneAlloy>], [<minecraft:stick>, <ore:chipsetRed>, <minecraft:stick>]]);

#wire
recipes.remove(<ImmersiveEngineering:coil:2>);
recipes.remove(<ImmersiveEngineering:coil:1>);
recipes.remove(<ImmersiveEngineering:coil>);

recipes.addShaped(<ImmersiveEngineering:coil:2>, [[<ore:plateSteel>, <ore:treatedStick>, <ore:plateSteel>], [null, <ore:treatedStick>, null]]);

recipes.addShaped(<ImmersiveEngineering:coil:1>, [[<ore:plateElectrum>, <ore:treatedStick>, <ore:plateElectrum>], [null, <ore:treatedStick>, null]]);

recipes.addShaped(<ImmersiveEngineering:coil>, [[<ore:plateCopper>, <ore:treatedStick>, <ore:plateCopper>], [null, <ore:treatedStick>, null]]);

#Plates


recipes.remove(<ImmersiveEngineering:metal:30>);
recipes.remove(<ImmersiveEngineering:metal:32>);
recipes.remove(<ImmersiveEngineering:metal:33>);
recipes.remove(<ImmersiveEngineering:metal:36>);
recipes.remove(<ImmersiveEngineering:metal:38>);


recipes.addShapeless(<ImmersiveEngineering:metal:30>, [<ore:ingotIron>, <ore:ingotIron>, <ore:ingotIron>]);

recipes.addShapeless(<ImmersiveEngineering:metal:31>, [<ore:ingotCopper>, <ore:ingotCopper>, <ore:ingotCopper>]);

recipes.addShapeless(<ImmersiveEngineering:metal:32>, [<ore:ingotAluminum>, <ore:ingotAluminum>, <ore:ingotAluminum>]);

recipes.addShapeless(<ImmersiveEngineering:metal:33>, [<ore:ingotLead>, <ore:ingotLead>, <ore:ingotLead>]);

recipes.addShapeless(<ImmersiveEngineering:metal:34>, [<ore:ingotSilver>, <ore:ingotSilver>, <ore:ingotSilver>]);

recipes.addShapeless(<ImmersiveEngineering:metal:35>, [<ore:ingotNickel>, <ore:ingotNickel>, <ore:ingotNickel>]);

recipes.addShapeless(<ImmersiveEngineering:metal:36>, [<ore:ingotConstantan>, <ore:ingotConstantan>, <ore:ingotConstantan>]);

recipes.addShapeless(<ImmersiveEngineering:metal:37>, [<ore:ingotElectrum>, <ore:ingotElectrum>, <ore:ingotElectrum>]);

recipes.addShapeless(<ImmersiveEngineering:metal:38>, [<ore:ingotSteel>, <ore:ingotSteel>, <ore:ingotSteel>]);


#Sticks

recipes.remove(<ImmersiveEngineering:material:14>);
recipes.remove(<ImmersiveEngineering:material:15>);
recipes.remove(<ImmersiveEngineering:material:16>);

recipes.addShaped(<ImmersiveEngineering:material:14>, [[<ore:ingotIron>], [<ore:ingotIron>]]);
recipes.addShaped(<ImmersiveEngineering:material:15>, [[<ore:ingotSteel>], [<ore:ingotSteel>]]);
recipes.addShaped(<ImmersiveEngineering:material:16>, [[<ore:ingotAluminum>], [<ore:ingotAluminum>]]);

#Machinezz

recipes.remove(<ImmersiveEngineering:metalDevice>);
recipes.addShapeless(<ImmersiveEngineering:metalDevice>, [<ore:stickAluminum>, <ImmersiveEngineering:coil>, <minecraft:hardened_clay>]);

recipes.remove(<ImmersiveEngineering:metalDevice:1>);
recipes.addShaped(<ImmersiveEngineering:metalDevice:1>, [[<ore:plateSteel>, <ore:plateLead>, <ore:plateSteel>], [<ore:plateElectrum>, <ore:plateElectrum>, <ore:plateElectrum>], [<ImmersiveEngineering:coil>, <ImmersiveEngineering:woodenDevice:4>, <ImmersiveEngineering:coil>]]);

recipes.remove(<ImmersiveEngineering:metalDevice:2>);
recipes.addShapeless(<ImmersiveEngineering:metalDevice:2>, [<ore:stickAluminum>, <ImmersiveEngineering:coil:1>, <minecraft:hardened_clay>]);

recipes.remove(<ImmersiveEngineering:metalDevice:3>);
recipes.addShaped(<ImmersiveEngineering:metalDevice:3>, [[<ore:plateSteel>, <ore:plateLead>, <ore:plateSteel>], [<ore:ingotEnergeticAlloy>, <ore:ingotEnergeticAlloy>, <ore:ingotEnergeticAlloy>], [<ImmersiveEngineering:coil:1>, <ImmersiveEngineering:woodenDevice:4>, <ImmersiveEngineering:coil:1>]]);

recipes.remove(<ImmersiveEngineering:metalDevice:4>);
recipes.addShaped(<ImmersiveEngineering:metalDevice:4>, [[<ImmersiveEngineering:metalDevice>, null, <ImmersiveEngineering:metalDevice:2>], [<ore:plateSteel>, <ImmersiveEngineering:storage:9>, <ore:plateSteel>], [<ore:plateSteel>, <ore:ingotSteel>, <ore:plateSteel>]]);

recipes.remove(<ImmersiveEngineering:metalDevice:6>);
recipes.addShapeless(<ImmersiveEngineering:metalDevice:6>, [<ore:stickAluminum>, <ImmersiveEngineering:coil:2>, <minecraft:hardened_clay>, <minecraft:hardened_clay>]);

recipes.remove(<ImmersiveEngineering:metalDevice:7>);
recipes.addShaped(<ImmersiveEngineering:metalDevice:7>, [[<ore:plateSteel>, <ore:plateLead>, <ore:plateSteel>], [<ore:ingotVibrantAlloy>, <ore:ingotVibrantAlloy>, <ore:ingotVibrantAlloy>], [<ImmersiveEngineering:coil:2>, <ImmersiveEngineering:woodenDevice:4>, <ImmersiveEngineering:coil:2>]]);

recipes.remove(<ImmersiveEngineering:metalDevice:8>);
recipes.addShaped(<ImmersiveEngineering:metalDevice:8>, [[<ImmersiveEngineering:metalDevice:2>, null, <ImmersiveEngineering:metalDevice:6>], [<ore:plateSteel>, <ImmersiveEngineering:storage:10>, <ore:plateSteel>], [<ore:plateSteel>, <ore:ingotSteel>, <ore:plateSteel>]]);

recipes.remove(<ImmersiveEngineering:metalDevice:10>);
recipes.addShaped(<ImmersiveEngineering:metalDevice:10>, [[<ore:plateSteel>, <ImmersiveEngineering:metalDecoration:1>, <ore:plateSteel>], [<ore:plateConstantan>, <minecraft:water_bucket>, <ore:plateConstantan>], [<ImmersiveEngineering:coil>, <ImmersiveEngineering:metalDevice:9>, <ImmersiveEngineering:coil>]]);


recipes.remove(<ImmersiveEngineering:metalDevice:9>);
recipes.addShaped(<ImmersiveEngineering:metalDevice:9>, [[<ImmersiveEngineering:coil>, <ore:stickSteel>, <ImmersiveEngineering:coil>], [<ore:plateSteel>, <ore:plateSteel>, <ore:plateSteel>], [<ImmersiveEngineering:coil>, <ore:stickSteel>, <ImmersiveEngineering:coil>]]);

recipes.remove(<ImmersiveEngineering:metalDevice:11>);
recipes.addShaped(<ImmersiveEngineering:metalDevice:11> * 4, [[<ore:stickSteel>, <ore:stickSteel>, <ore:stickSteel>], [<ore:itemLeather>, <ore:itemLeather>, <ore:itemLeather>], [<ImmersiveEngineering:material:11>, <ore:stickSteel>, <ImmersiveEngineering:material:11>]]);

recipes.remove(<ImmersiveEngineering:metalDevice:12>);
recipes.addShaped(<ImmersiveEngineering:metalDevice:12>, [[<ore:plateConstantan>, <ImmersiveEngineering:metalDecoration:1>, <ore:plateConstantan>], [<ore:plateAluminum>, <ImmersiveEngineering:storage:8>, <ore:plateAluminum>], [<ore:plateAluminum>, <ore:chipsetRed>, <ore:plateAluminum>]]);

recipes.remove(<ImmersiveEngineering:metalDevice:13>);
recipes.addShaped(<ImmersiveEngineering:metalDevice:13>, [[<ore:slabTreatedWood>, <ImmersiveEngineering:material:11>, <ore:slabTreatedWood>], [<ImmersiveEngineering:material:11>, <ImmersiveEngineering:metalDecoration:1>, <ImmersiveEngineering:material:11>], [<ore:slabTreatedWood>, <ImmersiveEngineering:material:11>, <ore:slabTreatedWood>]]);







#2



recipes.remove(<ImmersiveEngineering:metalDevice2>);
recipes.addShaped(<ImmersiveEngineering:metalDevice2>, [[<ore:stickSteel>, <ImmersiveEngineering:coil>, <ore:stickSteel>], [<ore:ingotCopper>, <ore:stickSteel>, <ore:ingotCopper>], [<ore:ingotBrick>, <ore:ingotSteel>, <ore:ingotBrick>]]);

recipes.remove(<ImmersiveEngineering:metalDevice2:2>);
recipes.addShaped(<ImmersiveEngineering:metalDevice2:2>, [[<ImmersiveEngineering:coil>, <ImmersiveEngineering:tool:2>, <ImmersiveEngineering:coil>], [<ore:ingotBrick>, <ImmersiveEngineering:storage:8>, <ore:ingotBrick>], [<ore:ingotSteel>, <ImmersiveEngineering:storage:8>, <ore:ingotSteel>]]);

recipes.remove(<ImmersiveEngineering:metalDevice2:3>);
recipes.addShaped(<ImmersiveEngineering:metalDevice2:3>, [[<ore:paneGlass>, <ore:plateSteel>, <ore:paneGlass>], [<ore:paneGlass>, <ore:ingotElectricalSteel>, <ore:paneGlass>], [<ore:plateSteel>, <EnderIO:itemRedstoneConduit>, <ore:plateSteel>]]);

recipes.remove(<ImmersiveEngineering:metalDevice2:4>);
recipes.addShaped(<ImmersiveEngineering:metalDevice2:4>, [[<ore:paneGlass>, <ore:plateSteel>, <ore:plateSteel>], [<ore:paneGlass>, <ore:ingotElectricalSteel>, <ore:ingotElectricalSteel>], [<ore:plateSteel>, <EnderIO:itemRedstoneConduit>, <ore:plateSteel>]]);

recipes.remove(<ImmersiveEngineering:metalDevice2:6>);
recipes.addShaped(<ImmersiveEngineering:metalDevice2:6>, [[<ImmersiveEngineering:coil>, <ImmersiveEngineering:metalDevice:9>, <ImmersiveEngineering:coil>], [<ore:plateSteel>, <ImmersiveEngineering:material:12>, <ore:plateSteel>], [<ImmersiveEngineering:metalDevice2:5>, <ImmersiveEngineering:metalDecoration:1>, <ImmersiveEngineering:metalDevice2:5>]]);

recipes.remove(<ImmersiveEngineering:metalDevice2:9>);
recipes.addShaped(<ImmersiveEngineering:metalDevice2:9>, [[<ImmersiveEngineering:metalDevice:6>, null, <ImmersiveEngineering:metalDevice:6>], [<ore:plateSteel>, <ImmersiveEngineering:material:11>, <ore:plateSteel>], [<ore:plateSteel>, <ore:chipsetRed>, <ore:plateSteel>]]);

recipes.remove(<ImmersiveEngineering:metalDevice2:10>);
recipes.addShaped(<ImmersiveEngineering:metalDevice2:10>, [[<ore:plateSteel>, <ImmersiveEngineering:metalDevice:2>, <ore:plateSteel>], [<ore:paneGlass>, <ore:paneGlass>, <ore:paneGlass>], [<ore:slabTreatedWood>, <ImmersiveEngineering:storage:8>, <ore:slabTreatedWood>]]);

recipes.remove(<ImmersiveEngineering:metalDevice2:7>);
recipes.addShapeless(<ImmersiveEngineering:metalDevice2:7>, [<ImmersiveEngineering:metalDecoration:10>]);

recipes.remove(<ImmersiveEngineering:metalDevice2:11>);
recipes.addShaped(<ImmersiveEngineering:metalDevice2:11>, [[<ImmersiveEngineering:metalDecoration2>, null, null], [<ImmersiveEngineering:metalDecoration2>, null, null], [<ImmersiveEngineering:metalDevice:12>, <ImmersiveEngineering:metalDevice2:5>, null]]);

recipes.remove(<ImmersiveEngineering:metalMultiblock:2>);
recipes.addShaped(<ImmersiveEngineering:metalMultiblock:2>, [[<ore:plateSteel>, <ImmersiveEngineering:material:12>, <ore:plateSteel>], [<ore:stickSteel>, <ImmersiveEngineering:metalDecoration2:2>, <ore:stickSteel>], [<ImmersiveEngineering:coil>, <ImmersiveEngineering:metalDevice:9>, <ImmersiveEngineering:coil>]]);

recipes.remove(<ImmersiveEngineering:metalMultiblock:3>);
recipes.addShaped(<ImmersiveEngineering:metalMultiblock:3>, [[<ore:plateCopper>, <ImmersiveEngineering:metalDevice2:7>, <ore:plateCopper>], [<ore:plateCopper>, <ImmersiveEngineering:metalDevice:12>, <ore:plateCopper>], [<ore:plateConstantan>, <ImmersiveEngineering:material:12>, <ore:plateConstantan>]]);


#Decoration

recipes.remove(<ImmersiveEngineering:metalDecoration>);
recipes.addShaped(<ImmersiveEngineering:metalDecoration>, [[<ore:stickSteel>, <ore:stickSteel>, <ore:stickSteel>], [null, <ImmersiveEngineering:tool>.giveBack(<ImmersiveEngineering:tool>), null], [<ore:stickSteel>, <ore:stickSteel>, <ore:stickSteel>]]);

recipes.remove(<ImmersiveEngineering:metalDecoration:1>);
recipes.addShaped(<ImmersiveEngineering:metalDecoration:1>, [[<ore:stickSteel>, <ore:stickSteel>, <ore:stickSteel>], [<ore:stickSteel>, null, <ore:stickSteel>], [<ore:stickSteel>, <ore:stickSteel>, <ore:stickSteel>]]);

recipes.remove(<ImmersiveEngineering:metalDecoration:2>);
recipes.addShaped(<ImmersiveEngineering:metalDecoration:2>, [[null, <ore:plateSteel>, null], [<ore:paneGlass>, <ore:dustGlowstone>, <ore:paneGlass>], [null, <ore:plateSteel>, null]]);

recipes.remove(<ImmersiveEngineering:metalDecoration:3>);
recipes.addShaped(<ImmersiveEngineering:metalDecoration:3>, [[<ore:stickSteel>, null, null], [<ore:stickSteel>, null, null], [<ore:stickSteel>, <ore:stickSteel>, null]]);

recipes.remove(<ImmersiveEngineering:metalDecoration:4>);
recipes.addShaped(<ImmersiveEngineering:metalDecoration:4>, [[<ore:plateSteel>, <ImmersiveEngineering:metalDecoration:1>, <ore:plateSteel>], [<ore:plateAluminum>, <ore:plateAluminum>, <ore:plateAluminum>], [<ore:plateSteel>, <ore:plateConstantan>, <ore:plateSteel>]]);

recipes.remove(<ImmersiveEngineering:metalDecoration:6>);
recipes.addShaped(<ImmersiveEngineering:metalDecoration:6>, [[<ore:plateSteel>, <ImmersiveEngineering:metalDecoration:1>, <ore:plateSteel>], [<ImmersiveEngineering:coil:1>, <ImmersiveEngineering:metalDevice:9>, <ImmersiveEngineering:coil:1>], [null, <ore:plateSteel>, null]]);

recipes.remove(<ImmersiveEngineering:metalDecoration:5>);
recipes.addShaped(<ImmersiveEngineering:metalDecoration:5>, [[<ore:stickSteel>, <ore:itemBasicGear>, <ore:stickSteel>], [<ImmersiveEngineering:material:12>, <ImmersiveEngineering:metalDecoration:1>, <ImmersiveEngineering:material:12>]]);

recipes.remove(<ImmersiveEngineering:metalDecoration:7>);
recipes.addShaped(<ImmersiveEngineering:metalDecoration:7>, [[<ore:plateIron>, <ore:gearBronze>, <ore:plateIron>], [<ImmersiveEngineering:material:11>, <ImmersiveEngineering:metalDecoration:13>, <ImmersiveEngineering:material:11>]]);

recipes.remove(<ImmersiveEngineering:metalDecoration:8>);
recipes.addShaped(<ImmersiveEngineering:metalDecoration:8> *2, [[null, <ore:stickSteel>, null], [null, <ore:plateSteel>, null]]);

recipes.remove(<ImmersiveEngineering:metalDecoration:9>);
recipes.addShaped(<ImmersiveEngineering:metalDecoration:9> * 2, [[null, <ImmersiveEngineering:metalDecoration>, <ore:plateSteel>]]);

recipes.remove(<ImmersiveEngineering:metalDecoration:13>);
recipes.addShaped(<ImmersiveEngineering:metalDecoration:13>, [[<ore:stickAluminum>, <ore:stickSteel>, <ore:stickAluminum>], [<ore:stickSteel>, null, <ore:stickSteel>], [<ore:stickAluminum>, <ore:stickSteel>, <ore:stickAluminum>]]);

recipes.remove(<ImmersiveEngineering:metalDecoration:15>);
recipes.addShaped(<ImmersiveEngineering:metalDecoration:15>, [[<ore:stickAluminum>, null, null], [<ore:stickSteel>, null, null], [<ore:stickAluminum>, <ore:stickSteel>, null]]);

#Decor_2

recipes.remove(<ImmersiveEngineering:metalDecoration2>);
recipes.addShaped(<ImmersiveEngineering:metalDecoration2>, [[<ore:stickSteel>, <ore:plateAluminum>, <ore:stickSteel>], [<ore:plateAluminum>, null, <ore:plateAluminum>], [<ore:stickSteel>, <ore:plateAluminum>, <ore:stickSteel>]]);


recipes.remove(<ImmersiveEngineering:metalDecoration2:1>);
recipes.addShaped(<ImmersiveEngineering:metalDecoration2:1>, [[<ore:stickSteel>, <ore:plateLead>, <ore:stickSteel>], [<ore:plateLead>, null, <ore:plateLead>], [<ore:stickSteel>, <ore:plateLead>, <ore:stickSteel>]]);


recipes.remove(<ImmersiveEngineering:metalDecoration2:2>);
recipes.addShaped(<ImmersiveEngineering:metalDecoration2:2>, [[<ore:stickSteel>, <ore:plateSteel>, <ore:stickSteel>], [<ore:plateSteel>, null, <ore:plateSteel>], [<ore:stickSteel>, <ore:plateSteel>, <ore:stickSteel>]]);

recipes.remove(<ImmersiveEngineering:metalDecoration:10>);
recipes.addShaped(<ImmersiveEngineering:metalDecoration:10>, [[<ore:stickSteel>, <ore:plateIron>, <ore:stickSteel>], [<ore:plateIron>, null, <ore:plateIron>], [<ore:stickSteel>, <ore:plateIron>, <ore:stickSteel>]]);



#Other

recipes.remove(<ImmersiveEngineering:metalMultiblock>);
recipes.addShaped(<ImmersiveEngineering:metalMultiblock>, [[<ore:plateSteel>, <ImmersiveEngineering:storage:10>, <ore:plateSteel>], [<ImmersiveEngineering:storage:9>, <ImmersiveEngineering:metalDevice:7>, <ImmersiveEngineering:storage:9>], [<ore:plateSteel>, <ImmersiveEngineering:metalDecoration:1>, <ore:plateSteel>]]);

recipes.remove(<ImmersiveEngineering:material:8>);
recipes.addShaped(<ImmersiveEngineering:material:8>, [[null, <ore:plateSteel>, null], [<ore:plateSteel>, <ImmersiveEngineering:material:12>, <ore:plateSteel>], [null, <ore:plateSteel>, null]]);

recipes.remove(<ImmersiveEngineering:material:7>);
recipes.addShapeless(<ImmersiveEngineering:material:7>, [<ore:ingotSteel>, <ImmersiveEngineering:tool>.giveBack(<ImmersiveEngineering:tool>)]);

recipes.remove(<ImmersiveEngineering:toolupgrade>);
recipes.addShaped(<ImmersiveEngineering:toolupgrade>, [[null, <ore:plateIron>, <ore:dyeBlue>], [<ore:plateIron>, null, <ore:plateIron>], [<ore:dyeBlue>, <ore:plateIron>, <ImmersiveEngineering:material:12>]]);

recipes.remove(<ImmersiveEngineering:toolupgrade:1>);
recipes.addShaped(<ImmersiveEngineering:toolupgrade:1>, [[null, <ore:plateIron>, null], [<ore:plateIron>, <ImmersiveEngineering:fluidContainers:3>, <ore:plateIron>], [null, <ore:plateIron>, <ImmersiveEngineering:material:12>]]);

recipes.remove(<ImmersiveEngineering:toolupgrade:2>);
recipes.addShapeless(<ImmersiveEngineering:toolupgrade:2>, [<ImmersiveEngineering:material:12>, <ore:plateSteel>]);

recipes.remove(<ImmersiveEngineering:toolupgrade:3>);
recipes.addShaped(<ImmersiveEngineering:toolupgrade:3>, [[<ImmersiveEngineering:material:12>, <ore:plateSteel>, <ore:dyeRed>], [<ore:plateSteel>, <minecraft:bucket>, <ore:plateSteel>], [<ore:dyeRed>, <ore:plateSteel>, null]]);

recipes.remove(<ImmersiveEngineering:toolupgrade:4>);
recipes.addShapeless(<ImmersiveEngineering:toolupgrade:4>, [<ore:treatedStick>, <ore:plateSteel>]);

recipes.remove(<ImmersiveEngineering:toolupgrade:5>);
recipes.addShaped(<ImmersiveEngineering:toolupgrade:5>, [[<ore:plateConstantan>, <ore:plateSteel>, null], [<ImmersiveEngineering:material:12>, <ore:plateConstantan>, null]]);

recipes.remove(<ImmersiveEngineering:toolupgrade:6>);
recipes.addShaped(<ImmersiveEngineering:toolupgrade:6>, [[null, <ore:paneGlass>, null], [<ore:paneGlass>, <ImmersiveEngineering:coil:1>, <ore:paneGlass>], [<ore:paneGlass>, <ImmersiveEngineering:coil:1>, <ore:paneGlass>]]);

recipes.remove(<ImmersiveEngineering:toolupgrade:7>);
recipes.addShaped(<ImmersiveEngineering:toolupgrade:7>, [[null, null, <ore:plateSteel>], [null, <ImmersiveEngineering:material:7>, <ImmersiveEngineering:material:12>], [null, null, <ore:plateSteel>]]);

recipes.remove(<ImmersiveEngineering:toolupgrade:8>);
recipes.addShaped(<ImmersiveEngineering:toolupgrade:8>, [[<ore:paneGlass>, <ore:plateSteel>, null], [<ore:plateSteel>, <ImmersiveEngineering:material:12>, <ore:plateSteel>], [<ImmersiveEngineering:coil>, <ore:plateSteel>, <ore:paneGlass>]]);

recipes.remove(<ImmersiveEngineering:toolupgrade:9>);
recipes.addShaped(<ImmersiveEngineering:toolupgrade:9>, [[<ImmersiveEngineering:coil:2>, <ImmersiveEngineering:coil:2>, <ImmersiveEngineering:coil:2>], [<EnderIO:itemBasicCapacitor:2>, <EnderIO:itemBasicCapacitor:2>, <EnderIO:itemBasicCapacitor:2>]]);


recipes.remove(<ImmersiveEngineering:railgun>);
recipes.addShaped(<ImmersiveEngineering:railgun>, [[<ImmersiveEngineering:coil:1>, <EnderIO:itemBasicCapacitor:2>, <ImmersiveEngineering:material:9>], [<ImmersiveEngineering:coil:1>, <ImmersiveEngineering:material:7>, <EnderIO:itemBasicCapacitor:2>], [<ImmersiveEngineering:material:7>, <ImmersiveEngineering:coil:1>, <ImmersiveEngineering:coil:1>]]);

recipes.remove(<ImmersiveEngineering:toolbox>);
recipes.addShaped(<ImmersiveEngineering:toolbox>, [[<ore:plateAluminum>, <ore:plateAluminum>, <ore:plateAluminum>], [<ore:stickAluminum>, <ImmersiveEngineering:woodenDevice:4>, <ore:stickAluminum>], [null, null, null]]);

recipes.remove(<ImmersiveEngineering:material:10>);
recipes.addShapeless(<ImmersiveEngineering:material:10>, [<ore:stickSteel>, <ImmersiveEngineering:tool>.giveBack(<ImmersiveEngineering:tool>)]);

recipes.remove(<ImmersiveEngineering:woodenDevice>);
recipes.addShaped(<ImmersiveEngineering:woodenDevice>, [[<ImmersiveEngineering:woodenDecoration>, null, null], [<ImmersiveEngineering:woodenDecoration>, null, null], [<ore:plateSteel>, <ore:plateSteel>, null]]);



#Materials

recipes.remove(<ImmersiveEngineering:material:11>);
recipes.remove(<ImmersiveEngineering:material:12>);
recipes.addShaped(<ImmersiveEngineering:material:11>, [[<ore:plateIron>, <ore:gearBronze>, <ore:plateIron>], [<ore:stickAluminum>, <ImmersiveEngineering:coil>, <ore:stickAluminum>], [<ore:plateIron>, <ore:gearBronze>, <ore:plateIron>]]);
recipes.addShaped(<ImmersiveEngineering:material:12>, [[<ore:plateSteel>, <Railcraft:part.gear:2>, <ore:plateSteel>], [<ore:stickAluminum>, <ImmersiveEngineering:coil:1>, <ore:stickAluminum>], [<ore:plateSteel>, <Railcraft:part.gear:2>, <ore:plateSteel>]]);



#Storagezz

recipes.remove(<ImmersiveEngineering:storage:8>);
recipes.remove(<ImmersiveEngineering:storage:9>);
recipes.remove(<ImmersiveEngineering:storage:10>);
recipes.addShaped(<ImmersiveEngineering:storage:8>, [[<ImmersiveEngineering:coil>, <ImmersiveEngineering:coil>, <ImmersiveEngineering:coil>], [<ImmersiveEngineering:coil>, <ImmersiveEngineering:material:16>, <ImmersiveEngineering:coil>], [<ImmersiveEngineering:coil>, <ImmersiveEngineering:coil>, <ImmersiveEngineering:coil>]]);
recipes.addShaped(<ImmersiveEngineering:storage:9>, [[<ImmersiveEngineering:coil:1>, <ImmersiveEngineering:coil:1>, <ImmersiveEngineering:coil:1>], [<ImmersiveEngineering:coil:1>, <ImmersiveEngineering:material:16>, <ImmersiveEngineering:coil:1>], [<ImmersiveEngineering:coil:1>, <ImmersiveEngineering:coil:1>, <ImmersiveEngineering:coil:1>]]);
recipes.addShaped(<ImmersiveEngineering:storage:10>, [[<ImmersiveEngineering:coil:2>, <ImmersiveEngineering:coil:2>, <ImmersiveEngineering:coil:2>], [<ImmersiveEngineering:coil:2>, <ImmersiveEngineering:material:16>, <ImmersiveEngineering:coil:2>], [<ImmersiveEngineering:coil:2>, <ImmersiveEngineering:coil:2>, <ImmersiveEngineering:coil:2>]]);


recipes.remove(<ImmersiveEngineering:jerrycan>);
recipes.addShaped(<ImmersiveEngineering:jerrycan>, [[<ore:gearIron>, <ore:plateAluminum>, <ore:plateAluminum>], [<ore:plateAluminum>, <ImmersiveEngineering:tool>.giveBack(<ImmersiveEngineering:tool>), <ore:plateAluminum>], [<ore:plateAluminum>, <ore:plateAluminum>, <ore:plateAluminum>]]);



#coal coke fix
recipes.addShapeless(<Railcraft:fuel.coke>, [<ImmersiveEngineering:material:6>]);

#remove ores from excavator
mods.immersiveengineering.Excavator.removeMineral("Platinum");

#hammer
#recipes.remove(<ImmersiveEngineering:tool>);
#recipes.addShaped(<ImmersiveEngineering:tool>, [[null, <ore:ingotIron>, <minecraft:string>], [null, <ore:treatedStick>, <ore:ingotIron>], [<ore:treatedStick>, null, null]]);

print("Initialized 'ImmersiveEngineering.zs'");